libsemanage-2.0.43-5.1.el6.i686.rpm


Advertisement

Description

libsemanage - SELinux binary policy manipulation library

Property Value
Distribution CentOS 6
Repository CentOS i386
Package filename libsemanage-2.0.43-5.1.el6.i686.rpm
Package name libsemanage
Package version 2.0.43
Package release 5.1.el6
Package architecture i686
Package type rpm
Category System Environment/Libraries
Homepage http://www.selinuxproject.org
License LGPLv2+
Maintainer -
Download size 103.39 KB
Installed size 198.67 KB
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.
libsemanage provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

Alternatives

Package Version Architecture Repository
libsemanage-2.0.43-5.1.el6.x86_64.rpm 2.0.43 x86_64 CentOS
libsemanage-2.0.43-5.1.el6.i686.rpm 2.0.43 i686 CentOS
libsemanage - - -

Requires

Name Value
/sbin/ldconfig -
bzip2-libs -
libbz2.so.1 -
libc.so.6(GLIBC_2.8) -
libselinux.so.1 -
libsepol.so.1 -
libustr-1.0.so.1 -
libustr-1.0.so.1(USTR_1.0) -
libustr-1.0.so.1(USTR_1.0.1) -
rtld(GNU_HASH) -

Provides

Name Value
config(libsemanage) = 2.0.43-5.1.el6
libsemanage = 2.0.43-5.1.el6
libsemanage(x86-32) = 2.0.43-5.1.el6
libsemanage.so.1 -
libsemanage.so.1(LIBSEMANAGE_1.0) -

Download

Type URL
Mirror mirror.centos.org
Binary Package libsemanage-2.0.43-5.1.el6.i686.rpm
Source Package libsemanage-2.0.43-5.1.el6.src.rpm

Install Howto

Install libsemanage rpm package:

# yum install libsemanage

Files

Path
/etc/selinux/semanage.conf
/lib/libsemanage.so.1

Changelog

2015-03-16 - Petr Lautrbach <plautrba@redhat.com> 2.0.43-5.1
- Detect already enabled/disabled modules in semanage_direct_{enable,disable} functions
Resolves: rhbz#872700
- Fix sources to pass all tests
Rsolves: rhbz#591451
2012-10-15 - Miroslav Grepl <mgrepl@redhat.com> - 2.0.43-4.2
- * Add usepasswd flag to semanage.conf to disable genhomedircon using passwd
Resolves:#798332
2011-10-19 - Dan Walsh <dwalsh@redhat.com> - 2.0.43-4.1
-    Fix handling of umask, so files get created with the correct label.
Resolves: #747345
2010-01-28 - Dan Walsh <dwalsh@redhat.com> - 2.0.43-4
- Cleanup spec file
Resolves: #555835
2010-01-18 - Dan Walsh <dwalsh@redhat.com> - 2.0.43-3
- Splect libsemanage.a into a static subpackage to keep fedora packaging guidelines happy
2009-12-16 - Dan Walsh <dwalsh@redhat.com> - 2.0.43-2
- Rebuild all c programs with -fPIC
2009-12-01 - Dan Walsh <dwalsh@redhat.com> - 2.0.43-1
- Update to upstream
* Move libsemanage.so to /usr/lib
* Add NAME lines to man pages from Manoj Srivastava<srivasta@debian.org>
2009-11-18 - Dan Walsh <dwalsh@redhat.com> - 2.0.42-1
- Update to upstream
* Move load_policy from /usr/sbin to /sbin from Dan Walsh.
2009-11-02 - Dan Walsh <dwalsh@redhat.com> - 2.0.41-1
- Update to upstream
* Add pkgconfig file from Eamon Walsh.
* Add semanage_set_check_contexts() function to disable calling
setfiles
2009-09-28 - Dan Walsh <dwalsh@redhat.com> - 2.0.39-1
- Update to upstream
* make swigify

See Also

Package Description
libsemanage-devel-2.0.43-5.1.el6.i686.rpm Header files and libraries used to build policy manipulation tools
libsemanage-python-2.0.43-5.1.el6.i686.rpm semanage python bindings for libsemanage
libsemanage-static-2.0.43-5.1.el6.i686.rpm Static library used to build policy manipulation tools
libsepol-2.0.41-4.el6.i686.rpm SELinux binary policy manipulation library
libsepol-devel-2.0.41-4.el6.i686.rpm Header files and libraries used to build policy manipulation tools
libsepol-static-2.0.41-4.el6.i686.rpm static libraries used to build policy manipulation tools
libsexy-0.1.11-13.el6.i686.rpm Funky fresh graphical widgets for GTK+ 2
libsexy-devel-0.1.11-13.el6.i686.rpm Development files for libsexy
libshout-2.2.2-5.1.el6.i686.rpm Icecast source streaming library
libshout-devel-2.2.2-5.1.el6.i686.rpm static libraries and header files for libshout development
libsigc++20-2.2.4.2-1.el6.i686.rpm Typesafe signal framework for C++
libsigc++20-devel-2.2.4.2-1.el6.i686.rpm Development tools for the typesafe signal framework for C++
libsigc++20-doc-2.2.4.2-1.el6.i686.rpm Documentation for libsigc++20, includes full API docs
libsmbclient-3.6.23-51.el6.i686.rpm The SMB client library
libsmbclient-devel-3.6.23-51.el6.i686.rpm Developer tools for the SMB client library
Advertisement
Advertisement